using Insight.Web.Models;

namespace Insight.Web.Constants;

public static class Events
{
    public static class Sessions
    {
        public const string Changed = "sessions.changed";
    }

    public static class Layout
    {
        public const string Rendered = "layout.rendered";
    }

    public static class Chat
    {
        public record ChatUserConnected(ChatUser User);
        public record ChatUserDisconnected(ChatUser User);
        public record ChatRefresh();
        public record ChatMessageReceived(ChatSession Session, ChatMessage Message);
    }
}